Create transfer

​

Creates a deposit or withdrawal transfer for the specified business.

Path Parameters

  • Unique identifier for the business.

Body·

required
application/json
  • Properties: 2
  • Properties: 1

Responses

  • application/json
Request Example for post/businesses/{business_id}/transfers
curl 'https://api.treasurefinancial.com/v1/businesses/{business_id}/transfers' \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "amount": {
    "currency": "USD",
    "amount": "150000.00"
  },
  "bank_account_id": "",
  "direction": "withdrawal",
  "type": "wire",
  "idempotency_key": "",
  "user_data": null
}'
{
  "id": "string",
  "amount": {
    "currency": "USD",
    "amount": "150000.00"
  },
  "bank_account_id": "string",
  "direction": "withdrawal",
  "type": "wire",
  "status": "PENDING",
  "idempotency_key": "string",
  "user_data": {
    "additionalProperty": "anything"
  },
  "created_at": "2022-01-01T00:00:00.000Z",
  "updated_at": "2022-01-01T00:00:00.000Z"
}